/*
 * @Descripttion: 
 * @version: 
 * @Author: kBank
 * @Date: 2022-11-10 09:26:08
 */
import request from '@/utils/request'

//获取所属团队列表
export function getTeamList(params) {
    return request({
        url: '/member/manage/member-team/list',
        method: 'get',
        params
    })
}

//获取单条团队列表
export function getOneTeam(pkId) {
    return request({
        url: '/member/manage/member-team/getOne/' + pkId,
        method: 'get',
    })
}

//删除团队列表
export function deleteMemberTeam(pkId) {
    return request({
        url: '/member/manage/member-team/' + pkId,
        method: 'delete',
    })
}

//修改团队列表
export function updateTeam(data) {
    return request({
        url: '/member/manage/member-team/update',
        method: 'post',
        data
    })
}

//添加团队列表
export function saveTeam(data) {
    return request({
        url: '/member/manage/member-team/save',
        method: 'post',
        data
    })
}

//体系名称下拉选择
export function getVartexList(params) {
    return request({
        url: '/system/manage/vertex/find-all',
        method: 'get',
        params
    })
}

//根据会员编号获取会员信息
export function gettheMemberInfo(membername) {
    return request({
        url: '/member/manager/member/getOne/' + membername,
        method: 'get',
    })
}


